Categories:
  - Games
License: MIT
SourceCode: https://github.com/keeshii/screeps-client

AutoName: Screeps

RepoType: git
Repo: https://github.com/keeshii/screeps-client.git

Builds:
  - versionName: 0.0.3
    versionCode: 3
    commit: v0.0.3
    sudo:
      - apt update || apt update
      - apt install -y -t stretch-backports npm
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    build:
      - mkdir -p "$PWD/npm"
      - npm config set prefix "$PWD/npm"
      - export PATH="$PATH:$PWD/npm/bin"
      - npm install
      - npm run build:android

MaintainerNotes: |-
    This is a web app, written in JS, built from source.
    Summary and Description are maintained by upstream using fastlane in
    the source repo:
    https://f-droid.org/docs/All_About_Descriptions_Graphics_and_Screenshots

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
CurrentVersion: 0.0.3
CurrentVersionCode: 3
